#ifndef CAMERA_H_INCLUDED
#define CAMERA_H_INCLUDED

void update_camera();
void center_camera(int x, int y);
void shake_camera(int direction, int strength, int time);

void update_key_camera();

extern float Camera_X, Camera_Y;
extern float TargetCamera_X;
extern float TargetCamera_Y;
extern float Camera_Boundary_X;
extern float Camera_Boundary_Y;

#endif
